<template lang="pug">
  .container-fluid.layouts
    .row
      l-nav.justify-content-between(bg-color="rgba(44, 61, 57, 0.65)")
        template
          h1 Все дизайны
          router-link.btn.btn_blue.layouts__add-new(:to="{name: 'AddLayout'}") Добавить дизайн
      main.col-auto.layouts__cards
        transition(name="sorry" appear mose="in-out")
          div.row( v-if="layouts.length === 0")
            p.text-white
              span Sorry, there is no any layouts
              br
              router-link.btn.btn_blue(:to="{name: 'AddLayout'}") Добавить новий дизайн
        transition-group.row(tag="div" appear name="layouts")
          l-card(v-for="(layout, i) in layouts" :key="random(i, 1000)" :obj="layout")


</template>

<script>
import LNav from '@/components/LNav'
import LCard from '@/components/LCard'

export default {
  name: 'home',
  components: {
    LCard, LNav
  },
  computed: {
    layouts() {
      return this.$store.state.layouts
    }
  },
  methods: {
    random(min, max) {
      return Math.random() * (max - min) + min;
    }
  }
}
</script>

<style lang="sass" src="@/assets/css/pages/_layouts.sass"></style>